%bcond_with bootstrap
%global packname  geoR
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.7_2
Release:          2
Summary:          Analysis of geostatistical data
Group:            Sciences/Mathematics
License:          GPL (>= 2)
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.7-2.tar.gz
Requires:         R-stats R-sp R-methods R-MASS
Requires:         R-splancs R-RandomFields 
%if %{with bootstrap}
Requires:         R-scatterplot3d R-tcltk R-lattice R-graphics
%else
Requires:         R-scatterplot3d R-tcltk R-geoRglm R-lattice R-graphics
%endif
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-stats R-sp
BuildRequires:    R-methods R-MASS R-splancs R-RandomFields
%if %{with bootstrap}
BuildRequires:    R-scatterplot3d R-tcltk R-lattice R-graphics
%else
BuildRequires:    R-scatterplot3d R-tcltk R-geoRglm R-lattice R-graphics
%endif

%description
Geostatistical analysis including traditional, likelihood-based and
Bayesian methods.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%if %{without bootstrap}
%check
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CHANGES
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%changelog
* Tue Feb 21 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.7_2-2
+ Revision: 778374
- Rebuild with proper dependencies

* Sat Feb 18 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.7_2-1
+ Revision: 776387
- Import R-geoR
- Import R-geoR

